
@echo off
echo Compaq Support Paq for Microsoft Windows NT 4
echo -----------------------------------

set _cpq_reboot_reqd=

echo Installing Compaq System Management Driver ...
cp000740.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Smart Array 5x Adapter Support ...
cp000741.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Smart Array-2 Controllers Driver ...
cp000742.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Drive Array Driver ...
cp000743.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq 32-Bit SCSI Controller ...
cp000744.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq StorageWorks Fibre Channel Host Bus Adapter Driver ...
cp000745.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq CMD 0649 Ultra DMA IDE Controller Driver for NT 4.0 ...
cp000746.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Ultra ATA-100 Dual Channel Driver ...
cp000762.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Proliant Storage System Support ...
cp000747.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Remote Insight Board for Wide Area Networks ...
cp000748.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq 64-Bit/66Mhz Wide Ultra3 Controller Driver ...
cp000749.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Remote Insight Board Driver ...
cp000750.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Remote Monitor Service ...
cp000751.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Management Display Utility ...
cp000752.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Integrated Management Log Viewer ...
cp000753.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Power Supply Viewer ...
cp000754.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Hot Plug Controller Driver ...
cp000755.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Array Redundancy Software ...
cp000756.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Power Down Manager ...
cp000757.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Enhanced Integrated Management Display Service ...
cp000758.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq ATI RAGE IIC Graphics Adapter Driver ...
cp000759.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq ATI RAGE XL Graphics Adapter Driver ...
cp000760.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Array Configuration Utility ...
cp000761.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq NetFlex/Netelligent Adapter Driver ...
cp000811.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Ethernet/Fast Ethernet or Gigabit NIC Driver ...
cp000810.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Foundation Agent ...
cp000789.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Server Agent ...
cp000790.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Storage Agent ...
cp000792.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq NIC Agent ...
cp000791.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes
echo Installing Compaq Survey Utility ...
cp000793.exe /silent
if "%errorlevel%"=="2" set _cpq_reboot_reqd=yes


if "%_cpq_reboot_reqd%"=="yes" echo One or more components require a reboot
echo Installation complete
